README file of Meta-GeneMark 
======================================================
Copyright Georgia Institute of Technology, Atlanta, Georgia, USA
======================================================

Meta-GeneMark package was created for users interested in
analysis of metagenomes [1][2].


[1] Besemer, J. and M. Borodovsky (1999).
"Heuristic approach to deriving models for gene finding."
Nucleic Acids Research 27(19): 3911-3920.

[2] Zhu W., Lomsadze A. and Borodovsky M. (2010).
"ab initio Gene Identification in Metagenomic Sequences."
Nucleic Acids Research, 2010, Vol.38, No.12, e132, doi: 10.1093/nar/gkq275

This package includes the following file:

	gmhmmp -  GeneMark.hmm prokaryotic version 2.7d
	MetaGeneMark_v1.mod - parameter file for metagenome gene prediction
	sequence.mfa - a test sequence in FASTA format
	License and README

========================================================

prokaryotic GeneMark.hmm version 2.8

Usage:
        gmhmmp [parameters ...] [sequence filename]
                Sequence file in FASTA format can have multi-FASTA sequence

Required parameters:
        -m      [filename] File with gene finding parameters

Optional parameters:

*** Output options

        -o      [filename] Output file name
                default = [sequence filename].lst
        -a      Show protein sequence of predicted genes
        -d      Show nucleotide sequence of predicted genes
        -f      [L|G] Output format: [L] LST or [G] GFF2
                default = L
        -k      Show RBS scores; this option must be first in command line

*** Prediction options

        -r      Use RBS for gene start prediction
        -s      [d|r|.] Strand to predict genes on
                default = '.' predict genes on both strands
        -p      [1|0] Gene overlap are allowed [1] or prohibited [0]
                default = 1
                [0] is used for gene finding in intron-less eukaryotic genomes

*** Developer options

        -i      [number] Probability of initiation and termination in non-coding state
                default = 0.5
        -n      Turn OFF prediction of the incomplete genes
                at sequence gaps: strings of unknown letters 'N'

========================================================

Example 1:
	gmhmmp -m MetaGeneMark_v1.mod sequence.mfa 

	Predictions will be in file "sequence.mfa.lst" in default GeneMark.hmm format .

Example 2:
	gmhmmp -a -d -f g -m MetaGeneMark_v1.mod sequence.mfa -o sequence.gff

	Predictions will be in file "sequence.gff" in GFF format
	with nucleotide and protein sequences for each predicted gene. 

========================================================



